Subject: Re: Regarding codemirror upgrade and query tool autocomplete

From: Aditya Toshniwal <[email-masked]>
Date: Tue, 2 Jan 2024 18:32:34 +0530

Hi,
Just to add to my previous email, double quoted table autocomplete works
now with the latest minor version. More reasons to use the new approach.

On Tue, Jan 2, 2024 at 4:44 PM Aditya Toshniwal <
[email-masked]> wrote:

> Hi Hackers,
>
> I am working on upgrading the CodeMirror package (used by SQL input/Query
> editor) to the latest version. One major improvement is on the autocomplete
> part. CodeMirror provides a very versatile way of using autocomplete now.
> One needs to pass the schema, table and columns data and it will show up in
> intellisense on typing.
> Right now, we send the query to the backend and the backend sends the
> suggestions which are shown on the screen. This can be very slow for remote
> PostgreSQL servers as it queries everytime to the server for data and
> requires an active connection. Also, not a good user experience.
> I was playing around with the new autocomplete and I have attached the
> screen-recording for the same. The data from the backend is loaded once the
> query tool opens.
> It has a few issues though. Column suggestions don't work correctly for
> double quoted tables aliases. It doesn't suggest "joins" which we do right
> now.
> I still need to figure out how we can refresh the data when new
> tables/columns are added/removed. Overall, I find it more useful to the
> users as it is quick and does the job what someone expects from an
> autocomplete/intellisense.
>
> Thoughts/Suggestions on whether we should use it or continue with existing?
>
> --
> Thanks,
> Aditya Toshniwal
> pgAdmin Hacker | Sr. Software Architect | *enterprisedb.com*
> <https://www.enterprisedb.com/>
> "Don't Complain about Heat, Plant a TREE"
>

-- 
Thanks,
Aditya Toshniwal
pgAdmin Hacker | Sr. Software Architect | *enterprisedb.com*
<https://www.enterprisedb.com/>
"Don't Complain about Heat, Plant a TREE"

---

From: Akshay Joshi <[email-masked]>
Date: Thu, 4 Jan 2024 11:35:53 +0530

Hi Aditya

> now with the latest minor version. More reasons to use the new approach.

   I think we should use the new approach.